# Source code for azure.mgmt.notificationhubs.models.apns_credential_properties

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class ApnsCredentialProperties(Model):
        """Description of a NotificationHub ApnsCredential.

        :param apns_certificate: Gets or sets the APNS certificate.
        :type apns_certificate: str
        :param certificate_key: Gets or sets the certificate key.
        :type certificate_key: str
        :param endpoint: Gets or sets the endpoint of this credential.
        :type endpoint: str
        :param thumbprint: Gets or sets the Apns certificate Thumbprint
        :type thumbprint: str
        """

        _attribute_map = {
            'apns_certificate': {'key': 'apnsCertificate', 'type': 'str'},
            'certificate_key': {'key': 'certificateKey', 'type': 'str'},
            'endpoint': {'key': 'endpoint', 'type': 'str'},
            'thumbprint': {'key': 'thumbprint', 'type': 'str'},
        }

        def __init__(self, apns_certificate=None, certificate_key=None, endpoint=None, thumbprint=None):
            self.apns_certificate = apns_certificate
            self.certificate_key = certificate_key
            self.endpoint = endpoint
            self.thumbprint = thumbprint